Package: org.gradle.ide.visualstudio

## [Java] Interface VisualStudioExtension

- The configuration for mapping a set of NativeComponentSpecs to a Visual Studio project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `NamedDomainObjectSet<? extends VisualStudioProject>` | `getProjects()` The VisualStudioProjects generated.
    `NamedDomainObjectSet<? extends VisualStudioSolution>` | `getSolutions()` The VisualStudioSolutions generated.

- - ### Method Detail

    - #### public NamedDomainObjectSet<? extends VisualStudioProject> getProjects()

      The VisualStudioProjects generated.

    - #### public NamedDomainObjectSet<? extends VisualStudioSolution> getSolutions()

      The VisualStudioSolutions generated.